function [means_joint, sd_joint ] = get_estimates_simple( base, full )
% get_estimates_simple loop through the base/full directory paths to get the final estimates
% Final estimates are denoted x4

listing = dir(base);

i= 1;
for f = 1:size(listing,1);
 	if listing(f).isdir == 1
 		subdir = strcat(base,listing(f).name) ;
  		syb = dir(strcat(base,listing(f).name,'/*end.mat'));
 		if size(syb,1)>0
  			load(strcat(subdir,'/',syb(1).name), '*')
            xxx(i,1:6) = x4(1:6) ;
            try
            	xxx(i,7) = x4(7);
            catch
            	xxx(i,7) = 0;
            end
            xxx(i,8) = log(ffinal);
  			i = i + 1;
		end	
	end	
end

xmean=mean(xxx(:,1:7),1);

% If full =1, calculated SD
if full == 1
	xsddd=std(xxx(:,1:7),1);
else
	xsddd = xmean .* 0;;
end

delta_diff  = xxx(:,1) - xxx(:,6);

% Collect Means/SD
means_joint = [xmean([1 6 7 2 3 4 5]), mean(delta_diff), 0];
sd_joint    = [xsddd([1 6 7 2 3 4 5]), std(delta_diff) ,  0];

end

