function [ pprods ] = plot_exporter_products( sales,name,folder,names)
%PLOT_EXPORTER_PRODUCTS Summary of this function goes here
%   Detailed explanation goes here


% sales =  sort(400*make_simulated(x2b),'descend');                
%	countries = {'USA','ARG','NED','MEX','ITA','GER','BEL','JPN','GBR','FRA'};

countries = names;
	
pctiles = .1:.005:.99;
products_sold = sum(sales>0);
m_d = sum(products_sold>0,3)
product_sort=sort(squeeze(products_sold)','descend');

i = repmat(1:size(sales,2),size(pctiles',1),1);
j = max(1,floor(repmat(m_d,size(pctiles',1),1).*repmat(pctiles',1,size(sales,2))));
pprods=product_sort(sub2ind(size(product_sort),j,i));

f=figure;
for x = 1:min(size(sales,2),10)
    hold on
    scatter(1-pctiles,pprods(:,x)+x/100,1)
    hold off
end

l=legend(countries,'Location', 'NorthWest');
xlabel('Percentile of Products Sold');
ylabel('Products Exported');
title ({'Brazil to World',name},'FontSize', 20);
print(f, '-depsc', strcat(folder,name,'.eps'))

end

