function [ data ] = plot_exporter_scale( sales,name,folder,names)
%PLOT_EXPORTER_SCALE Summary of this function goes here
%   Detailed explanation goes here
	


% sales =  sales_data;
% sales = sim_data;
% sales =  sort(400*make_simulated(x2b),'descend');   
% countries = {'Country 1','Country 2','Country 3','Country 4','Country 5'};
% countries = {'Argentina','USA','Uruguay','Chile','Paraguay'};
N = size(sales,2);
countries = names;

           
firm_sales=squeeze(nansum(sales,1))';
firm_prods=squeeze(nansum(sales>0))';
firm_psale=firm_sales./firm_prods;
data=zeros(size(sales,1),size(sales,2));
for prods = 1:size(sales,1)
    for c = 1:size(sales,2)
        curr_country=firm_sales(:,c);
%         data(prods,c)=mean(curr_country(firm_prods(:,c)==prods));
        data(prods,c)=exp(nanmedian(log(curr_country(firm_prods(:,c)>=prods))));

    end
end
pp= (repmat(1:size(sales,1),size(sales,2),1)');
f = figure;

 c_plot = [1 2 3 4 5];
% c_plot = 1:10;
% c_plot = [1];

plot_p = 1:size(sales,1);
if N>=5
loglog(pp(plot_p,c_plot(1)),data(plot_p,c_plot(1))/data(1,c_plot(1)),...
       pp(plot_p,c_plot(2)),data(plot_p,c_plot(2))/data(1,c_plot(2)),...
       pp(plot_p,c_plot(3)),data(plot_p,c_plot(3))/data(1,c_plot(3)),...
       pp(plot_p,c_plot(4)),data(plot_p,c_plot(4))/data(1,c_plot(4)),...
       pp(plot_p,c_plot(5)),data(plot_p,c_plot(5))/data(1,c_plot(5)));
else
loglog(pp(plot_p,c_plot(1)),data(plot_p,c_plot(1))/data(1,c_plot(1)),...
       pp(plot_p,c_plot(2)),data(plot_p,c_plot(2))/data(1,c_plot(2)),...
       pp(plot_p,c_plot(3)),data(plot_p,c_plot(3))/data(1,c_plot(3)))    ;
end

grid on;



l=legend(countries(c_plot),'Location', 'SouthEast');
legend('boxoff')	;
xlabel('Minimum Number of Products  Exported');
ylabel('Median Log Normalized Total Firm Exports');
title ({'Total Product Sales by # Products Sold',name},'FontSize', 20);
set(gca,'XTick',[1 2 4 8  16 32 ]);
% set(gca,'YTick',[10 100 1000 10000 100000])
xlim([1 50]);
ylim([1 1000]);
set(gca,'XGrid','off','YGrid','off','Box','off');
print(f, '-depsc', strcat(folder,name,'.eps'));

end

