function [ y1,y2,y3,y4 ] = plot_totalsales_prod_2_region_sub( bin_L,bin_H,sales )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

	N = size(sales,2);
    G = size(sales,1);
%    size(sales)
    median_firm_sales    = zeros(N,size(bin_L,2));
    mean_product_sales   = zeros(N,size(bin_L,2));
    first_product_sales  = zeros(N,size(bin_L,2));
    second_product_sales = zeros(N,size(bin_L,2));
    
    countries = min(50,N);

    for country = 1:countries
    	
        products_sold   = squeeze(sum(sales(:,country,:)>0,1))';
        firm_sales      = squeeze(sum(sales(:,country,:),1))';
        first_sales     = squeeze(sum(sales(1,country,:),1))';
        second_sales    = squeeze(sum(sales(2,country,:),1))';
        ave_sales       = firm_sales./products_sold;
		FIRMS_country(country)   = sum(products_sold>0);
		
        for product = 1:size(bin_L,2)
            indicator = (products_sold<=bin_H(product) & products_sold>=bin_L(product) );
            
            FIRMS 			= sum(products_sold(indicator)>0);
            PRODUCTS        = sum(products_sold(indicator));
            FSALES 			= nanmedian(firm_sales(indicator));
            FSALES_first 	= nanmedian(first_sales(indicator));
            FSALES_second 	= nanmedian(second_sales(indicator));
            FSALES_median   = nanmedian(ave_sales(indicator));
            median_firm_sales(country,product) 		= FSALES_median;
            first_product_sales(country,product) 	= FSALES_first;
            second_product_sales(country,product) 	= FSALES_second;
            mean_product_sales(country,product) 	= FSALES/PRODUCTS;
            WW(country,product)                     = FIRMS;
        end

    end

    
    
	%W=repmat(FIRMS_country',1,size(bin_L,2))
	
	W = WW + log(median_firm_sales(1:min(countries,N),:))*0;
	y1 = nansum(log(median_firm_sales(1:min(countries,N),:)).*W,1)./nansum(W,1);
	
%   y1=nanmean( log(median_firm_sales(1:min(countries,N),:)),1);
    y2=nanmean( log(mean_product_sales(1:min(countries,N),:)),1);
    y3=nanmean( log(first_product_sales(1:min(countries,N),:)),1);
    y4=nanmean( log(second_product_sales(1:min(countries,N),:)),1);
    
end

