function [ output_args ] = plot_totalsales_prod_2_regions( A,B,C,D,name,folder,names )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

	bin_L = [1:6];
	bin_H = [1:6];
	

    f=figure;

    [y1A,y2A,y3A,y4A ] = plot_totalsales_prod_2_region_sub(bin_L,bin_H,A);
    [y1B,y2B,y3B,y4B ] = plot_totalsales_prod_2_region_sub(bin_L,bin_H,B);
	[y1C,y2C,y3C,y4C ] = plot_totalsales_prod_2_region_sub(bin_L,bin_H,C);
	[y1D,y2D,y3D,y4D ] = plot_totalsales_prod_2_region_sub(bin_L,bin_H,D);
 	
	hold on; plot(bin_L,(y1A -y1A(1)) ,'-ok'); hold off;
	hold on; plot(bin_L,(y1B -y1B(1)) ,':dk','markerfacecolor','k'); hold off;
	hold on; plot(bin_L,(y1C -y1C(1)) ,'--ok','markerfacecolor','k'); hold off;
	hold on; plot(bin_L,(y1D -y1D(1)) ,'-.dk'); hold off;

	l=legend(names,'Location', 'NorthWest','FontSize',14);

	set(gca,'XGrid','off','YGrid','off','Box','off')
 	xlabel('Number of Products Shipped (HS 6-digit)','FontSize',14);
 	ylabel('Normalized Median Log Average Product Sales','FontSize',14);
% 	title ({'Brazil to World (Geometric Ave All Destination)'},'FontSize', 20);
    legend('boxoff')	
    xlim([min(bin_L) max(bin_L)])
    ylim([-.5 2])
	set(gca,'XTick',bin_L)	
	print(f, '-depsc', strcat(folder,name,'.eps'))

end
