function [ Brazil_data] = Import_Brazil( filename, products, savename )
% Import in Brazilian Data From Stata Program
% Format is 3-dimention
% dim 1: G -> product
% dim 2: N -> destination
% dim 3: J -> firm

    M = dlmread(filename, ',', 1, 0);
    display(size(M))
    countries = size(M,2);
    Brazil_data = permute(reshape(M',countries,products,[]),[2 1 3]);
    size(Brazil_data(:,:,3))
    size(Brazil_data)
    save(savename,'Brazil_data')

end