function [ output_args ] = generate_strings_latex( sales_data,names,folder,file )

%generate_strings_latex( sales_dataA,nameA,gen.use_dir_tables,'moments-exporter-strings-LAC' )

	ce = squeeze( sum(sales_data>0,1)>0)';
	xr= 1:5;
	a(1) = length(ce( (ce(:,xr(1)) == 1) & (ce(:,xr(2)) == 0) & (ce(:,xr(3)) == 0) & (ce(:,xr(4)) == 0) & (ce(:,xr(5)) == 0) ,:));
	a(2) = length(ce( (ce(:,xr(1)) == 1) & (ce(:,xr(2)) == 1) & (ce(:,xr(3)) == 0) & (ce(:,xr(4)) == 0) & (ce(:,xr(5)) == 0) ,:));
	a(3) = length(ce( (ce(:,xr(1)) == 1) & (ce(:,xr(2)) == 1) & (ce(:,xr(3)) == 1) & (ce(:,xr(4)) == 0) & (ce(:,xr(5)) == 0) ,:));
	a(4) = length(ce( (ce(:,xr(1)) == 1) & (ce(:,xr(2)) == 1) & (ce(:,xr(3)) == 1) & (ce(:,xr(4)) == 1) & (ce(:,xr(5)) == 0) ,:));
	a(5) = length(ce( (ce(:,xr(1)) == 1) & (ce(:,xr(2)) == 1) & (ce(:,xr(3)) == 1) & (ce(:,xr(4)) == 1) & (ce(:,xr(5)) == 1) ,:));
	a(6) = length(ce)-sum(a(1:5));
	
	file_path = [folder 'Table_' file '.txt'];
	fprintf('Plotting Exporter Strings:%s\n\tAt:%s\n\n',file,file_path)
	fid = fopen(file_path, 'w');
	fprintf(fid,'%s%s\n\n','tab:',file);
	fprintf(fid,'%s\n','Exporter String & Number of Exporters \\');
	for i=1:5
		for j=1:i
			fprintf(fid,'%s',names{j});
			if j~=i
				fprintf(fid,'--');
			else
				fprintf(fid,' & %5.0f \\\\ \n',a(i));
			end
		end
	end
	fprintf(fid,'Other & %5.0f \\\\ \n',a(6));
	fprintf(fid,'Total & %5.0f \\\\ \n',length(ce));
	fprintf(fid,'\n\n');
	fclose(fid);
	
	
end