function [ W_start ] = generate_weights_wrapper_joint( momentsA,momentsB,moment_dataA,moment_dataB,sales_dataA,sales_dataB,use_run)
	% Wrapper to generate weighting matrix
	% The try catch is sloppy programming
	% But there was a difference in the file checking function on my desktop and the supercomputer
	
    if momentsA.weighted  == 1
         try
            load(strcat(use_run,'W1.mat'), 'W_start')
            display('Loaded W')
         catch
            display('Generating W')
            moments_fctA = @(x_sales) generate_moments(x_sales,momentsA);
            moments_fctB = @(x_sales) generate_moments(x_sales,momentsB);
            sampleA = size(sales_dataA,3);
            sampleB = size(sales_dataB,3);
            [W_start,W_starti] = generate_weights_joints(moment_dataA, moment_dataB, sales_dataA, sales_dataB, moments_fctA,moments_fctB, 1000, sampleA, sampleB );
            save(strcat(use_run,'W1.mat'), 'W_start', 'W_starti');
         end
    else
        W_start = eye((size(moment_dataA,2)+size(moment_dataB,2)));
    end

end

