function [ N ] = plot_exporter_scope( sales,name,folder,names )
%UNTITLED2 Summary of this function goes here
%   Detailed explanation goes here

%countries = {'Country 1','Country 2','Country 3','Country 4','Country 5'};
% countries = {'Argentina','USA','Uruguay','Chile','Paraguay'};

	countries = names;
 	specs = {': r','--m','--y','--c','--b','--k','--r','--r','--r','--r'};
 	
	N = size(sales,2);
	product_bins = 1:25;
	noexporters = sum(sum(sales>0,1)>=1,3);		% Number of Exporters    
    products_sold = (sum(sales>0,1));
    
    f=figure;
    for c = 1:min(5,N)
		country = c;
		products_data_firm_total = squeeze(sort(products_sold(:,country,:),'descend'));
		y = (products_data_firm_total(1:noexporters(country)));
		x = ((noexporters(country):-1:1)/noexporters(country));
		nth = max(1,round(size(y,1)*(0:.01:1)));
		hold on
		scatter((x(nth)),y(nth)+c/10,'.')
		hold off
    end

	set(gca,'XGrid','off','YGrid','off','Box','off')
	l=legend(countries,'Location', 'NorthWest');
    legend('boxoff')	
	ylabel('Number of Products Shipped (HS 6-digit)');
	xlabel('Percentile of Exporter by Products Shipped');
	title ({'Brazilian Exports by Number of Products',name},'FontSize', 20);
	print(f, '-depsc', strcat(folder,name,'.eps'))

end

